org.eclnt.jsfserver.elements.componentnodes

## Class AREASELECTORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.AREASELECTORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class AREASELECTORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AREASELECTORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AREASELECTORNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindActionListener(IActionListenerDelegation value)`
    `AREASELECTORNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindBackground(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindColspan(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindComment(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindFlush(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindHeight(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindWidth(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindX(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `bindY(IDynamicContentBindingObject value)`
    `AREASELECTORNode` | `setAccessiblename(java.lang.String value)`
    `AREASELECTORNode` | `setActionListener(java.lang.String value)`
    `AREASELECTORNode` | `setAdapterbinding(java.lang.String value)`
    `AREASELECTORNode` | `setAnimatechangeofsize(boolean value)`
    `AREASELECTORNode` | `setAnimatechangeofsize(java.lang.String value)`
    `AREASELECTORNode` | `setAttributemacro(java.lang.String value)`
    `AREASELECTORNode` | `setBackground(java.lang.String value)`
    `AREASELECTORNode` | `setColspan(int value)`
    `AREASELECTORNode` | `setColspan(java.lang.String value)`
    `AREASELECTORNode` | `setComment(java.lang.String value)`
    `AREASELECTORNode` | `setConfiginfo(java.lang.String value)`
    `AREASELECTORNode` | `setEnabled(boolean value)`
    `AREASELECTORNode` | `setEnabled(java.lang.String value)`
    `AREASELECTORNode` | `setFlush(boolean value)`
    `AREASELECTORNode` | `setFlush(java.lang.String value)`
    `AREASELECTORNode` | `setHeight(int value)`
    `AREASELECTORNode` | `setHeight(java.lang.String value)`
    `AREASELECTORNode` | `setId(java.lang.String value)`
    `AREASELECTORNode` | `setObjectbinding(java.lang.String value)`
    `AREASELECTORNode` | `setPopupmenu(java.lang.String value)`
    `AREASELECTORNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `AREASELECTORNode` | `setReference(java.lang.String value)`
    `AREASELECTORNode` | `setRendered(boolean value)`
    `AREASELECTORNode` | `setRendered(java.lang.String value)`
    `AREASELECTORNode` | `setRowalignmenty(java.lang.String value)`
    `AREASELECTORNode` | `setStylevariant(java.lang.String value)`
    `AREASELECTORNode` | `setWidth(int value)`
    `AREASELECTORNode` | `setWidth(java.lang.String value)`
    `AREASELECTORNode` | `setX(int value)`
    `AREASELECTORNode` | `setX(java.lang.String value)`
    `AREASELECTORNode` | `setY(int value)`
    `AREASELECTORNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AREASELECTORNode

          public AREASELECTORNode()

  - ### Method Detail

    - #### setId

          public AREASELECTORNode setId(java.lang.String value)

    - #### setAccessiblename

          public AREASELECTORNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public AREASELECTORNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public AREASELECTORNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public AREASELECTORNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public AREASELECTORNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public AREASELECTORNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public AREASELECTORNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public AREASELECTORNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public AREASELECTORNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public AREASELECTORNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public AREASELECTORNode setBackground(java.lang.String value)

    - #### bindBackground

          public AREASELECTORNode bindBackground(IDynamicContentBindingObject value)

    - #### setColspan

          public AREASELECTORNode setColspan(java.lang.String value)

    - #### bindColspan

          public AREASELECTORNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public AREASELECTORNode setColspan(int value)

    - #### setComment

          public AREASELECTORNode setComment(java.lang.String value)

    - #### bindComment

          public AREASELECTORNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public AREASELECTORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public AREASELECTORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public AREASELECTORNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public AREASELECTORNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public AREASELECTORNode setEnabled(boolean value)

    - #### setFlush

          public AREASELECTORNode setFlush(java.lang.String value)

    - #### bindFlush

          public AREASELECTORNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public AREASELECTORNode setFlush(boolean value)

    - #### setHeight

          public AREASELECTORNode setHeight(java.lang.String value)

    - #### bindHeight

          public AREASELECTORNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public AREASELECTORNode setHeight(int value)

    - #### setObjectbinding

          public AREASELECTORNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public AREASELECTORNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public AREASELECTORNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public AREASELECTORNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public AREASELECTORNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public AREASELECTORNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public AREASELECTORNode setReference(java.lang.String value)

    - #### setRendered

          public AREASELECTORNode setRendered(java.lang.String value)

    - #### bindRendered

          public AREASELECTORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public AREASELECTORNode setRendered(boolean value)

    - #### setRowalignmenty

          public AREASELECTORNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public AREASELECTORNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setStylevariant

          public AREASELECTORNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public AREASELECTORNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public AREASELECTORNode setWidth(java.lang.String value)

    - #### bindWidth

          public AREASELECTORNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public AREASELECTORNode setWidth(int value)

    - #### setX

          public AREASELECTORNode setX(java.lang.String value)

    - #### bindX

          public AREASELECTORNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public AREASELECTORNode setX(int value)

    - #### setY

          public AREASELECTORNode setY(java.lang.String value)

    - #### bindY

          public AREASELECTORNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public AREASELECTORNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.